#ifndef OBJECT3D_H
#define OBJECT3D_H
#include <string>
#include <vector>


class Object3D {
    public:
        std::vector<float> vertices;
        std::vector<unsigned int> indices;
        std::vector<float> normals;

        std::vector<unsigned int> EBO_buffer;
        std::vector<float> VBO_buffer;

        Object3D();
        Object3D(const std::string &file_path);

        bool loadFromOBJ(const std::string& file_path);
        std::vector<float> getVBOBuffer();

};



#endif //OBJECT3D_H
